NVIDIA-CDI-HOOK(1)

NAME
nvidia-cdi-hook - nvidia-cdi-hook

DESCRIPTION

  NAME:

    NVIDIA CDI Hook - Command to structure files for usage inside a container, called as hooks from a container runtime, defined in a CDI yaml file

  USAGE:

    NVIDIA CDI Hook [global options] [command [command options]]

  VERSION:

    1.19.0

  COMMANDS:

update-ldcache
    Update ldcache in a container by running ldconfig

create-symlinks
    A hook to create symlinks in the container.

chmod
    Set the permissions of folders in the container by running chmod. The container root is prefixed to the specified paths.

enable-cuda-compat
    This hook ensures that the folder containing the CUDA compat libraries is added to the ldconfig search path if required.

disable-device-node-modification
    Ensure that the /proc/driver/nvidia/params file present in the container does not allow device node modifications.

help, h
    Shows a list of commands or help for one command

  GLOBAL OPTIONS:

--debug, -d
    Enable debug-level logging [$NVIDIA_CTK_DEBUG, $NVIDIA_CDI_DEBUG]

--quiet
    Suppress all output except for errors; overrides --debug [$NVIDIA_CTK_QUIET, $NVIDIA_CDI_QUIET]

--help, -h
    show help

--version, -v
    print the version

SEE ALSO
The full documentation for nvidia-cdi-hook is maintained as a Texinfo manual. If the info and nvidia-cdi-hook programs are properly installed at your site, the command

    info nvidia-cdi-hook

should give you access to the complete manual.